PGAHammingDistance(5)

NAME
PGAHammingDistance - Calculates the mean Hamming distance for a population of binary strings.

DESCRIPTION
For all other data types returns a value of 0.0 and prints a warning message.

INPUT PARAMETERS
ctx - context variable
popindex
    - symbolic constant of the population for which the Hamming distance is to be calculated Output: The mean Hamming distance in the population

OUTPUT PARAMETERS
none

SYNOPSIS
#include "pgapack.h"
double  PGAHammingDistance(ctx, popindex)
PGAContext *ctx
int popindex

LOCATION
hamming.c

EXAMPLE
:
hd = PGAHammingDistance(ctx, PGA_NEWPOP);